// The Vue build version to load with the `import` command
// (runtime-only or standalone) has been set in webpack.base.conf with an alias.
import Vue from 'vue'
import App from './App'
import ElementUI from 'element-ui'
// import 'element-ui/lib/theme-chalk/index.css';
import './styles/element-#324057/index.css';
import router from './router'
import store from './vuex/store'
import Vuex from 'vuex'
import NProgress from 'nprogress'
// import Mock from './mock'
// Mock.bootstrap();
import 'font-awesome/css/font-awesome.min.css'

Vue.config.productionTip = false
NProgress.configure({
  showSpinner: false
});

Vue.use(ElementUI)
Vue.use(Vuex)

/* eslint-disable no-new */
new Vue({
  el: '#app',
  router,
  store,
  components: {
    App
  },
  data: {
    bus: new Vue()
  },
  template: '<App/>'
})
